#
# spec file for package pearpc
#
# Copyright (c) 2008-2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pearpc
Version:        0.5
Release:        2.18
License:        GPL-2.0
Summary:        PowerPC platform emulator
Url:            http://pearpc.sourceforge.net/
Group:          System/Emulators/Other
Source:         http://voxel.dl.sourceforge.net/project/pearpc/pearpc/0.5.0/pearpc-0.5.tar.bz2
# PATCH-FIX-UPSTREAM pearpc-fix-no-return-in-nonvoid-function.patch sf#3405935 malcolmlewis@opensuse.org -- Fix no return build errors.
Patch0:         pearpc-fix-no-return-in-nonvoid-function.patch
# PATCH-FIX-UPSTREAM pearpc-fix-ambiguates-old-declaration.patch sf#3406591 malcolmlewis@opensuse.org -- Fix ambiguates old declaration error.
Patch1:         pearpc-fix-ambiguates-old-declaration.patch
BuildRequires:  SDL-devel
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PearPC is an architecture-independent PowerPC platform emulator capable
of running most PowerPC operating systems.

%prep
%setup -q
%patch0
%if 0%{?suse_version} > 1140
%patch1
%endif

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1320
export CXXFLAGS="$CXXFLAGS -std=gnu++98"
%endif
# FIXME The binary declares the stack as executable.
# See https://sourceforge.net/tracker/?func=detail&aid=3405933&group_id=108675&atid=651195
export LDFLAGS="$LDFLAGS -Wl,-z -Wl,noexecstack"
%configure \
   --prefix=%{_prefix} \
   --enable-ui=sdl \
   --mandir=%_mandir
make %{?_smp_mflags}

%install
%make_install

#FIXME Free Software Foundation address incorrect in COPYING
# See https://sourceforge.net/tracker/?func=detail&aid=3405932&group_id=108675&atid=651195
%files
%defattr(-,root,root)
%doc video.x ppccfg.example AUTHORS ChangeLog COPYING README TODO
%{_bindir}/ppc
%doc %_mandir/man1/*
%changelog
* Fri Nov 25 2016 aloisio@gmx.com
- Fixed TW/Factory build
* Thu Sep  8 2011 malcolmlewis@opensuse.org
- Update to version 0.5:
  + Slightly better code for lmw/stmw opcodes.
  + Use "GNU as" instead of nasm.
  + Use -mdynamic-no-pic on *darwin.
  + Fixed some strict-aliasing problems.
  + JITC: AMD64 support.
  + Compiles with gcc 4.3, 4.4, 4.5.
- Drop stupidcast, jittypo and pearpc-const patches.
- Replace pearpc-rpmlint patch with
  pearpc-fix-no-return-in-nonvoid-function.patch to fix no
  return build errors [sf#3405935].
- Add pearpc-fix-ambiguates-old-declaration.patch to fix Factory
  x86 build error [sf#3406591].
- General spec file clean up.
- Add LDFLAGS option to fix "The binary declares the stack
  as executable." error [sf#3405933].
- Update spec file License field from GPL to GPL-2.0 to conform
  with spdx.org identifier.
* Tue May  4 2010 uli@suse.de
- fixed to build with new GCC
* Thu Nov 27 2008 uli@suse.de
- fixed some rpmlint complaints
* Fri Jun 13 2008 uli@suse.de
- fixed to build with new toolchain
